/*
 * File: IsRuthAaron.c
 *
 * Author: M. I. Karavelas
 * Class:  EM101 / Fall Semester 2008
 */

#include "IsRuthAaron.h"
#include "SumOfPrimeFactors.h"

/*
 * Function: IsRuthAaron
 * Usage: sum = IsRuthAaron(n);
 * ----------------------------
 * Returns TRUE if the pair (n, n + 1) is a Ruth-Aaron pair, i.e., the
 * sum of the prime factors of n equals the sum of the prime factors
 * of n + 1.
 */

bool IsRuthAaron(unsigned int n)
{
  return ( SumOfPrimeFactors(n) == SumOfPrimeFactors(n + 1) );
}
